> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/jira-service-account-o-auth2credentials.md).

# jiraServiceAccountOAuth2credentials

Credentials for Jira service account authentication via OAuth 2.0 client\_credentials.

### Examples

```graphql
type JiraServiceAccountOAuth2Credentials {
  clientId: String
  clientSecret: String
  cloudId: String
  cachedAccessToken: String
  cachedAccessTokenIv: String
  cloudSiteName: String
  siteUrl: String
  credentialsId: String
  credentialsName: String
  tokenExpirationDate: String
  credentialsType: CredentialsType
  isCertChecksDisabled: Boolean
  hostURL: String
  iv: String
  monitoredResources: JSON
  monitorAllResources: Boolean
  monitorAllNewlyCreatedResources: Float
  brokerUsername: String
  brokerPassword: String
  brokerEnabled: Boolean
  brokerHost: String
  brokerPort: Int
}
```

### Fields

| Field                                                                                                                 | Description                                                                                                                                                    | Supported fields |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| clientId `String`                                                                                                     | Atlassian-issued OAuth 2.0 client ID for the service account                                                                                                   |                  |
| clientSecret `String`                                                                                                 | Encrypted Atlassian-issued OAuth 2.0 client secret                                                                                                             |                  |
| cloudId `String`                                                                                                      | Atlassian Cloud site identifier the service account operates on                                                                                                |                  |
| cachedAccessToken `String`                                                                                            | Encrypted cached access token minted via client\_credentials                                                                                                   |                  |
| cachedAccessTokenIv `String`                                                                                          | Initialization vector used to decrypt cachedAccessToken (distinct from credentialBase.iv which decrypts clientSecret)                                          |                  |
| cloudSiteName `String`                                                                                                | Atlassian site display name (e.g. 'oxsecurity') captured from accessible-resources at connect time                                                             |                  |
| siteUrl `String`                                                                                                      | User-facing Atlassian site URL (e.g. '<https://oxsecurity.atlassian.net>') used by consumers to build /browse/ links; distinct from API host API.atlassian.com |                  |
| credentialsId `String`                                                                                                |                                                                                                                                                                |                  |
| credentialsName `String`                                                                                              |                                                                                                                                                                |                  |
| tokenExpirationDate `String`                                                                                          |                                                                                                                                                                |                  |
| credentialsType [`CredentialsType`](/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md) |                                                                                                                                                                |                  |
| isCertChecksDisabled `Boolean`                                                                                        | Indicates if SSL/TLS certificate validation is disabled                                                                                                        |                  |
| hostURL `String`                                                                                                      |                                                                                                                                                                |                  |
| iv `String`                                                                                                           |                                                                                                                                                                |                  |
| monitoredResources `JSON`                                                                                             |                                                                                                                                                                |                  |
| monitorAllResources `Boolean`                                                                                         |                                                                                                                                                                |                  |
| monitorAllNewlyCreatedResources `Float`                                                                               |                                                                                                                                                                |                  |
| brokerUsername `String`                                                                                               |                                                                                                                                                                |                  |
| brokerPassword `String`                                                                                               |                                                                                                                                                                |                  |
| brokerEnabled `Boolean`                                                                                               |                                                                                                                                                                |                  |
| brokerHost `String`                                                                                                   |                                                                                                                                                                |                  |
| brokerPort `Int`                                                                                                      |                                                                                                                                                                |                  |

### References

#### Fields with this object:

* [{} Credential](/api-documentation/api-reference/api--connectors/types/unions/credential.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/jira-service-account-o-auth2credentials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
